# sigma-rails

sigma-rails wraps the [Sigma](http://sigmajs.org) library in a Rails engine for use with the Rails asset pipeline. The gem includes the non-minified source of the library for ease of developmeng/debugging. The asset pipeline will minify the code in production.

Sigma is a "JavaScript library dedicated to graph drawing." See the [official website](http://sigmajs.org) and [GitHub repo](https://github.com/jacomyal/sigma.js) for more information.

## Usage

Add this line to your application's Gemfile:

    gem 'sigma-rails'

And then execute:

    $ bundle install

Then add the following directive to your JavaScript manifest file, `application.js`:

    //= require sigma

If you want to include any plugins, use directive like the following:

    //= require sigma.plugins.dragNodes/sigma.plugins.dragNodes

## Versioning

`sigma-rails 1.0.2 == sigma.js 1.0.2`

Every attempt is made to mirror the current sigma.js version number. Major, minor, and patch version numbers will always represent the sigma.js version.

## Contributing

1. Fork it ( https://github.com/boyan/sigma-rails/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
